package data.scripts.world;

import java.awt.Color;
import java.util.List;

import com.fs.starfarer.api.campaign.CampaignFleetAPI;
import com.fs.starfarer.api.campaign.CargoAPI;
import com.fs.starfarer.api.campaign.FactionAPI;
import com.fs.starfarer.api.campaign.FleetAssignment;
import com.fs.starfarer.api.campaign.SectorAPI;
import com.fs.starfarer.api.campaign.SectorEntityToken;
import com.fs.starfarer.api.campaign.SectorGeneratorPlugin;
import com.fs.starfarer.api.campaign.StarSystemAPI;
import com.fs.starfarer.api.campaign.CargoAPI.CrewXPLevel;
import com.fs.starfarer.api.fleet.FleetMemberType;

@SuppressWarnings("unchecked")
public class iXcorporationGen extends SectorGen { 

   public void generate(SectorAPI sector) {
   
    StarSystemAPI system = sector.getStarSystem("Corvus");
    
    SectorEntityToken token = system.createToken(15000, 0);
      system.addSpawnPoint(new iXcorporationSpawnPoint(sector, system, 30, 1, token));

      FactionAPI iXcorporation = sector.getFaction("iXcorporation");
      
      iXcorporation.setRelationship("hegemony", -1); 
      iXcorporation.setRelationship("tritachyon", -1);
      iXcorporation.setRelationship("pirates", 0);
      iXcorporation.setRelationship("independent", 0); 
    iXcorporation.setRelationship("player", 0);
   }
   }